* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body,
#__next {
  width: 100%;
  height: 100%;
  background-color: #f7f7f7;
}

.content {
  padding: 0;
}

body.theme-light {
  background: rgb(255, 255, 255);
  color: rgb(0, 0, 0);
}

body.theme-dark {
  background: rgb(41, 41, 41);
  color: rgb(255, 255, 255);
}

body.theme-night {
  background: rgb(46, 53, 65);
  color: rgb(255, 255, 255);
}

.bn-onboard-modal {
  z-index: 3;
}

aside.bn-onboard-custom {
  animation-name: none !important;

  > section.bn-onboard-custom {
    font-family: Krub, sans-serif;
    height: 410px;
    width: 476px;
    box-sizing: border-box;
    overflow: auto;
    border-radius: 10px;
    border-left: 9px solid #e490ae;

    scrollbar-color: #c1c1c1 #fff;
    scrollbar-width: thin !important;

    &::-webkit-scrollbar {
      width: 9px;
      background-color: transparent;
    }

    &::-webkit-scrollbar-thumb:vertical {
      background: #c1c1c1;
      background-clip: padding-box;
      border: 2px solid #fff;
      border-right-width: 5px;
      min-height: 10px;
      border-radius: 100px;
    }

    &::-webkit-scrollbar-thumb:vertical:active {
      background: #c1c1c1;
      border: 2px solid #fff;
      border-right-width: 5px;
    }

    .bn-onboard-modal-content-header-icon,
    .bn-onboard-select-info-container {
      display: none;
    }

    .bn-onboard-modal-content-header-heading {
      font-size: 14px;
      margin-left: 0;
    }

    .bn-onboard-modal-select-wallets {
      > li button {
        border: 1px solid #f1f1f1;
        width: 199px;
        height: 66px;
        border-radius: 10px;
        padding-left: 15px;
        padding-right: 15px;

        > div {
          // icon
          > * {
            // icons can be img or svg
            width: 26px;
            height: 26px;
          }
        }

        span {
          // label
          &::before {
            content: 'Connect wth';
            display: block;
            font-weight: normal;
          }

          display: block;
          font-size: 12px;
          line-height: 1.4;
          margin-left: 15px;
        }
      }
    }
  }
}

body.theme-dark {
  aside.bn-onboard-custom {
    > section.bn-onboard-custom {
      background: rgb(41, 41, 41);
      color: white;
      scrollbar-color: rgba(0, 0, 0, 0.3) #292929;
      border-color: rgb(118, 100, 110);

      &::-webkit-scrollbar-thumb:vertical,
      &::-webkit-scrollbar-thumb:vertical:active {
        background: rgba(0, 0, 0, 0.3);
        border-color: #292929;
      }

      .bn-onboard-modal-select-wallets > li button {
        border-color: rgb(59, 59, 59);
      }
    }
  }
}

body.theme-night {
  aside.bn-onboard-custom {
    > section.bn-onboard-custom {
      background: rgb(46, 53, 65);
      color: white;
      scrollbar-color: rgba(0, 0, 0, 0.3) #2e3541;
      border-color: rgb(118, 92, 147);

      &::-webkit-scrollbar-thumb:vertical,
      &::-webkit-scrollbar-thumb:vertical:active {
        background: rgba(0, 0, 0, 0.3);
        border-color: #2e3541;
      }

      .bn-onboard-modal-select-wallets > li button {
        border-color: rgb(52, 59, 71);
      }
    }
  }
}

@media screen and (max-width: 1080px) {
  aside.bn-onboard-custom.bn-onboard-custom {
    align-items: flex-end;
    background: none;

    > section.bn-onboard-custom {
      min-height: 85vh;
      min-width: 80vw;
      max-width: calc(100% - 60px);
      margin-bottom: 30px;

      ul.bn-onboard-modal-select-wallets {
        max-height: none;

        > li {
          display: none;

          &:nth-child(2),
          &:nth-child(4),
          &:nth-child(7) {
            display: list-item;
          }
        }
      }
    }
  }
}

.bg-preloading-container {
  visibility: hidden;
}

@supports (padding: max(0px)) {
  html,
  body,
  #__next {
    padding-left: min(0vmin, env(safe-area-inset-left));
    padding-right: min(0vmin, env(safe-area-inset-right));
  }
}

.card {
  width: calc(100% - 2rem);
  height: 20rem;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  background: #ffffff 0% 0% no-repeat padding-box;
  border: 1px solid #f1f1f1;
  border-radius: 28px;
  padding-top: 1rem;
  margin-bottom: 0.5rem;
  margin-top: 0.5rem;
  transition: box-shadow 0.3s;

  &:nth-child(2) {
    margin-top: 2rem;
  }

  &:last-child {
    margin-bottom: 7rem;
  }

  &:hover {
    box-shadow: 0 0 11px rgba(145, 127, 127, 0.2);
  }

  @media (min-width: 800px) and (max-width: 1079px) {
    &:last-child {
      margin: 0px;
    }
    &:nth-child(2) {
      margin: 0px;
    }
  }

  @media (min-width: 1080px) {
    width: 16rem;
    height: 19rem;
    margin: 0 auto;
    &:last-child {
      margin-bottom: 0px;
    }
    &:nth-child(2) {
      margin-top: 0px;
    }
  }
}

.search-input {
  background: transparent url('../../public/icons/Search.svg') no-repeat 1.6%
    47%;
  height: 100%;
  width: 100%;
  border: 1px solid #bebebe;
  border-radius: 25px;
  padding-left: 40px;

  @media (max-width: 375px) {
    background: transparent url('../../public/icons/Search.svg') no-repeat 4.6%
      47%;
  }

  @media (min-width: 1080px) {
    background: transparent url('../../public/icons/Search.svg') no-repeat 3%
      47%;
  }
}

.placeholder {
  min-height: 0.5em;
  vertical-align: middle;
  background-color: currentcolor;
  opacity: 0.5;
  mask-image: linear-gradient(
    130deg,
    #000 55%,
    rgba(0, 0, 0, (1 - 0.2)) 75%,
    #000 95%
  );
  mask-size: 200% 100%;
  animation: placeholder-wave 2s linear infinite;

  &.placeholder-btn::before {
    display: inline-block;
    content: '';
  }
  &.placeholder-xs {
    width: 1em;
  }
  &.placeholder-s {
    width: 2em;
  }
  &.placeholder-m {
    width: 5em;
  }
  &.placeholder-l {
    width: 10em;
  }
  &.placeholder-img {
    background-color: transparent;
  }
}

@keyframes placeholder-wave {
  100% {
    mask-position: -200% 0%;
  }
}
